Works in 3.5 Rated 5 out of 5 stars

This is a great plugin!

It works fine in 3..5 too. You simply need to unzip the open_in_ie-1.1-fx-win.xpi file, change the following line in the install.rdf file via Notepad:

3.0.*

to

3.5.*

then add it back to the .xpi. Double click the .xpi or drag and drop it to your Firefox window and presto!

This review is for a previous version of the add-on (1.1).